# jsdoc-json-live

Parses your directory for JSdocs and leverages on JSON-Server (Express web server) for
quick deployment and access of your  JSdocs via a RESTful URL.

## RUNNING LOCALLY

Make sure you have [Node.js](http://nodejs.org/)

//TODO: make cli!

```sh
cd <your project root folder>
node <jsdoc-json-live app.js> <folder path for all your scripts> <desired port number>
e.g. node ./node_modules/jsdoc-json-live/app.js ./app/scripts 3002
```
The default port is 3002. Your can specify another port as seen in the above example.
Your app should now be running on [localhost:3002](http://localhost:3002/) or on a specific port of your choice


## CREDITS
The following are node modules we've leveraged on to make this work:

- jsdoc: for empowering JS dev to write documentations in a robust fashion

- jsdoc-parse: for making JSDoc dev life so much easier by extracting the JSON out of JSDoc
and conveniently added a todoList segment and accepting an array of files that no dev wants
to handle with another module. Cheers!

- memorystream: for allowing us to create in-memory streams without having to expose critical,
valuable project files in some huge js file residing on disk.

- recursive-readdir: for allowing us to grab all files in a directory. 'nuff said.

- q: for no callback hell. thanks for the promise.


## TODO

- jsdoc this module. the ironies..
- do testing
- git hub the sheet


